#### D.15.6.23 qepcadsystem

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  qepcadsytem(f); l a list;

Return:
  list

Purpose:
  gives back some constraints that are equivalent to the eigenvalues of the matrices in the list l being < 1 (computed by QEPCAD)

Example:

    LIB "finitediff.lib";
    list D="Ut","Ux","Uy","U";
    list V="t","x","y";
    list P="a","b";
    setinitials(V,D,P);
    matrix M[2][2]=0,-a,-a,0;
    list Mat=unitmat(2),M;
    list Appr=forward(Ut,U,t),forward(Ux,U,x);
    //matrixsystem(Mat,Appr);
    //timestep(_);
    fouriersystem(Mat,Appr);
    ==> [1]:
    ==>    [1]:
    ==>       [1]:
    ==>          _[1,1]=(T)
    ==>          _[1,2]=0
    ==>          _[2,1]=0
    ==>          _[2,2]=(T)
    ==>       [2]:
    ==>          _[1,1]=1
    ==>          _[1,2]=(I*Sx*a*dt+Cx*a*dt-a*dt)/(dx)
    ==>          _[2,1]=(I*Sx*a*dt+Cx*a*dt-a*dt)/(dx)
    ==>          _[2,2]=1
    ==>    [2]:
    ==>       [1]:
    ==>          _[1]=(T)
    ==>       [2]:
    ==>          _[1]=(-I*Sx*a*dt-Cx*a*dt+a*dt+dx)/(dx)
    ==>          _[2]=(I*Sx*a*dt+Cx*a*dt-a*dt+dx)/(dx)
    ==> [2]:
    ==>    [1]:
    ==>       [1]:
    ==>          (T^2)
    ==>    [2]:
    ==>       [1]:
    ==>          (-2*Cx*a^2*dt^2-2*Cx*a*dt*dx+2*a^2*dt^2+2*a*dt*dx+dx^2)/(dx^2)
    ==>       [2]:
    ==>          (-2*Cx*a^2*dt^2+2*Cx*a*dt*dx+2*a^2*dt^2-2*a*dt*dx+dx^2)/(dx^2)
    qepcadsystem(_[2]);
    ==> 0
    ==> 0
    ==> 0
    ==> sh: qepcad: Kommando nicht gefunden.
    ==> sh: qepcadfilter.pl: Kommando nicht gefunden.
    ==> 32512
    ==>
    ==>    ? Try manually
    ==>    ? leaving finitediff.lib::qepcadsystem

User manual for Singular version 4-0-3, 2016, generated by texi2html.